[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Nested repositories and backward compatibility

You may want to verify if we are doing any magic to figure out which repo type to use and you may also want to check the relationship between the repo managers and the composite repos. However even if there was missing API in those places, you should still be able to add the composite repo implementation by loosing some minor things.



Inactive hide details for Thomas Hallgren ---01/19/2009 03:40:08 AM---It's OK for us if the if the original installer is based Thomas Hallgren ---01/19/2009 03:40:08 AM---It's OK for us if the if the original installer is based on 3.5 but we want the profile that is targ


From:

Thomas Hallgren <thomas@xxxxxxx>

To:

P2 developer discussions <p2-dev@xxxxxxxxxxx>

Date:

01/19/2009 03:40 AM

Subject:

Re: [p2-dev] Nested repositories and backward compatibility




It's OK for us if the if the original installer is based on 3.5 but we want the profile that is targeted to be usable (and maintainable) from a 3.4 platform. I guess we could add a compatibility fragment that would install the referenced repositories in place of the nested one. Can you see anything that would block such an approach?

Regards,
Thomas Hallgren


Pascal Rapicault wrote:
      We have no plan to add the support for composite repositories in 3.4.x since this is new work and it still needs some polish (it just got committed a bit before Christmas).
      Also the code for those repos is located in the repository bundles and as such it can not simply be deployed in 3.4 install without patching it with new bundles, unless of course you are willing to take the create new bundles out of the code for use in 3.4.

      HTH

      Inactive hide details for Thomas Hallgren ---01/17/2009 06:28:05 PM---Hi, In an earlier discussion about repository aggregationThomas Hallgren ---01/17/2009 06:28:05 PM---Hi, In an earlier discussion about repository aggregation, Pascal mentioned

      From:

      Thomas Hallgren <thomas@xxxxxxx>

      To:

      p2-dev@xxxxxxxxxxx

      Date:

      01/17/2009 06:28 PM

      Subject:

      [p2-dev] Nested repositories and backward compatibility




      Hi,
      In an earlier discussion about repository aggregation, Pascal mentioned
      that p2 now supports nested repositories. We would like to exploit that,
      at least for the ArtifactRepositories that we make available but that
      begs the question; what happens with backward compatibility with Eclipse
      3.4.x? Will nested repositories be made available in 3.4.2? If not, will
      there be some way to install them into a profile using a 3.5 installer
      so that they can be used by Eclipse 3.4.x?

      Regards,
      Thomas Hallgren
      _______________________________________________
      p2-dev mailing list

      p2-dev@xxxxxxxxxxx
      https://dev.eclipse.org/mailman/listinfo/p2-dev





      _______________________________________________
      p2-dev mailing list
      p2-dev@xxxxxxxxxxx
      https://dev.eclipse.org/mailman/listinfo/p2-dev
       
_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev


GIF image

GIF image

GIF image

GIF image